Last Comment Bug 107756 - [ps] RFE: print option to output in Postscript Level 2.
: [ps] RFE: print option to output in Postscript Level 2.
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Printing: Output (show other bugs)
: Trunk
: x86 All
: -- enhancement with 1 vote (vote)
: mozilla1.2alpha
Assigned To: dcone (gone)
: sujay
: Jet Villegas (:jet)
Mentors:
Depends on:
Blocks: 125824
  Show dependency treegraph
 
Reported: 2001-10-31 07:04 PST by MichaelWright9
Modified: 2005-09-23 10:53 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description MichaelWright9 2001-10-31 07:04:06 PST
Mozilla needs a print option to output in Postscript Level 2. This would help
with some of the PS issue currently out there (i.e. transparent GIFs). Also the
output file is smaller when using Level 2 (I think).
Comment 1 Keyser Sose 2001-10-31 17:31:47 PST
Marking NEW.
Comment 2 Roland Mainz 2001-11-14 12:49:58 PST
Dumb question: Do we already use any PostScript Level 3-specific stuff in our
PostScript generator ?
Comment 3 monchi 2002-04-27 13:27:06 PDT
People ever since 0.9,8 I have been having problems printing on my postscript 1
printer, I used to be able to print to my postscript 1 printer simply by
choosing black-white, would it not be better to have an option wherin people can
select the postscript level they want to use ?
Comment 4 Roland Mainz 2002-04-27 14:52:35 PDT
monchi wrote:
> People ever since 0.9,8 I have been having problems printing on my postscript 
> 1 printer, I used to be able to print to my postscript 1 printer simply by
> choosing black-white, would it not be better to have an option wherin people 
> can select the postscript level they want to use ?

Did you try the Xprint module yet (Quick guide
http://puck.informatik.med.uni-giessen.de/people/gisburn/work/xprint/quickguide_koi8_r.txt
(ignore the comments about cyrillc if you do not need it :) ; FAQ:
http://puck.informatik.med.uni-giessen.de/people/gisburn/work/xprint/Xprint_FAQ.txt)
? Level 2-only printers should work - Level 1-only support may require some
minor adjustments on the PS DDX(=driver) ...
Comment 5 axl 2004-04-22 18:37:01 PDT
it seems the mozilla 1.6 uses ps-level 3 as default, is that right?

because my hp lj 5m (ps level 2) calculates, but prints nothing, i use as
workaround for the mozilla print command:

gs -q -sDEVICE=pswrite -dNOPAUSE -dLanguageLevel=2 -sOutputFile=\|lp -

where you may change the output pipe "|lp" to suit your needs.

axl
Comment 6 Federico Mena-Quintero 2005-09-21 19:21:17 PDT
Isn't this a duplicate of bug #176938?
Comment 7 Jungshik Shin 2005-09-23 10:53:44 PDT
Why was this filed for 'OS : all'? On Windows, this shouldn't be an issue. On
Linux, it was fixed by my fix of bug 234182

Note You need to log in before you can comment on or make changes to this bug.